## Settings Settings — File providing settings objects for xlets. |

## Types and Values

enum | BindingDirection

## Description

This file provides the settings API for applets, desklets and extensions.

## Types and Values

### enum BindingDirection

The direction of binding settings

Deprecated since 3.2: Binding direction is no longer meaningful. Please do not use in new code.

#### Members

IN | Set the property at binding time, and automatically update the property and execute the callback when the setting file changes. This is probably the most common mode.
OUT | Set the property at binding time, and automatically update the setting file when the property changes. The callback can be omitted when using this mode, as it will not be used.
BIDIRECTIONAL | Combines the effects of `IN` and `OUT`.